Subject: MPC8560 CPM2 SCC(UART) Driver CPM_UART_CONSOLE

From: "Deepak Gaur" <[email-masked]>
Date: Tue, 25 Sep 2007 17:33:59 +0630

Hi all,

I am writing a kernel module which is required to parse the characters received from a
device attached to MPC8560 SCC2 (UART slave mode) on serial interface. This SCC is
required to be configured for single-buffer, character based operation. Moreover on
another SCC (SCC1 UART master mode) the board debug interface(console) is connected.

While trying to figure out CPM UART device driver interface available in file
drivers/serial/cpm_uart/cpm_uart_core.c for my kernel module I found that some of the
functions are available when CPM_UART_CONSOLE is enabled. 

My doubt is regarding status of this flag for my hardware setup. Should this flag be
enabled or not. If it is required to be enabled for supporting SCC1 then how SCC2 will
be handled?

As I am a novice in this area , I shall be grateful if you please guide me in
understanding this driver code.

with regards,

Deepak Gaur